跳转到主要内容
GET
/
datasets
/
{dataset_id}
/
documents
/
{document_id}
/
segments
/
{segment_id}
/
child_chunks
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "id": "d7e8f9a0-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
      "segment_id": "f3d1c7be-9f3a-40d8-8eb8-3a1ef9c3f2c1",
      "content": "Dify is an open-source platform.",
      "position": 1,
      "word_count": 6,
      "type": "automatic",
      "created_at": 1741267200,
      "updated_at": 1741267200
    }
  ],
  "total": 1,
  "total_pages": 1,
  "page": 1,
  "limit": 20
}

授权

Authorization
string
header
必填

API Key 认证。对于所有 API 请求,请在 Authorization HTTP 头中包含您的 API Key,并加上 Bearer 前缀。示例:Authorization: Bearer {API_KEY}强烈建议将 API Key 存储在服务端,不要在客户端共享或存储,以避免 API Key 泄漏导致严重后果。

路径参数

dataset_id
string<uuid>
必填

知识库 ID。

document_id
string<uuid>
必填

文档 ID.

segment_id
string<uuid>
必填

Chunk ID.

查询参数

page
integer
默认值:1

要获取的页码。

必填范围: x >= 1
limit
integer
默认值:20

每页的项目数量。服务器上限为 100

必填范围: x >= 1
keyword
string

搜索关键词。

响应

200 - application/json

子分段列表。

data
object[]

子分段列表。

total
integer

子分段总数。

total_pages
integer

总页数。

page
integer

当前页码。

limit
integer

每页条目数。